Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: Pan- newsreader: Broken by recent update?

  1. #1

    Default Pan- newsreader: Broken by recent update?

    Hello all,


    I'm a happy user of 13.1, but yesterday I noticed that the newsreader "Pan" cannot be started anymore.
    When I try from the terminal, I see the following error message:
    Code:
    GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name
    news.pan.NZB was not provided by any .service files
    **
    ERRORan-tree.cc:80:GtkTreeIter PanTreeStore::get_iter(const
    PanTreeStore::Row*): assertion failed: (row)
    Aborted
    I think the last time I used it was last week.
    I did not make any changed to my system besides letting all updates install.

    Can I do anything to get it running again? Do I have to try to compile it myself?


    Greetings,
    Lothar

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,223
    Blog Entries
    15

    Default Re: Pan- newsreader: Broken by recent update?

    On Wed 22 Oct 2014 11:36:01 AM CDT, Lothar M wrote:


    Hello all,


    I'm a happy user of 13.1, but yesterday I noticed that the newsreader
    "Pan" cannot be started anymore.
    When I try from the terminal, I see the following error message:

    Code:
    --------------------
    GDBus.Errorrg.freedesktop.DBus.Error.ServiceUnknown: The name
    news.pan.NZB was not provided by any .service files
    **
    ERRORan-tree.cc:80:GtkTreeIter PanTreeStore::get_iter(const
    PanTreeStore::Row*): assertion failed: (row)
    Aborted
    --------------------


    I think the last time I used it was last week.
    I did not make any changed to my system besides letting all updates
    install.

    Can I do anything to get it running again? Do I have to try to compile
    it myself?


    Greetings,
    Lothar


    Hi
    Have you seen this thread?
    https://forums.opensuse.org/showthre...es-to-segfault

    Have you rebooted the system?

    --
    Cheers Malcolm °¿° LFCS, SUSE Knowledge Partner (Linux Counter #276890)
    openSUSE 13.1 (Bottle) (x86_64) GNOME 3.10.1 Kernel 3.11.10-21-desktop
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!


  3. #3

    Default Re: Pan- newsreader: Broken by recent update?

    Quote Originally Posted by malcolmlewis View Post
    Hi
    Have you seen this thread?
    https://forums.opensuse.org/showthre...es-to-segfault

    Have you rebooted the system?

    --
    Cheers Malcolm °¿° LFCS, SUSE Knowledge Partner (Linux Counter #276890)
    openSUSE 13.1 (Bottle) (x86_64) GNOME 3.10.1 Kernel 3.11.10-21-desktop
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

    Hi, Malcolm!

    Yes, I saw this thread, rebooted, but the result was still the same.

    Thanks anyhow!
    Lothar

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,223
    Blog Entries
    15

    Default Re: Pan- newsreader: Broken by recent update?

    On Wed 22 Oct 2014 02:16:02 PM CDT, Lothar M wrote:


    malcolmlewis;2670666 Wrote:
    > Hi
    > Have you seen this thread?
    > http://tinyurl.com/l49okok
    >
    > Have you rebooted the system?
    >
    > --
    > Cheers Malcolm °¿° LFCS, SUSE Knowledge Partner (Linux Counter
    > #276890)
    > openSUSE 13.1 (Bottle) (x86_64) GNOME 3.10.1 Kernel 3.11.10-21-desktop
    > If you find this post helpful and are logged into the web interface,
    > please show your appreciation and click on the star below... Thanks!



    Hi, Malcolm!

    Yes, I saw this thread, rebooted, but the result was still the same.

    Thanks anyhow!
    Lothar


    Hi
    It (Pan) hasn't been updated in awhile on OBS, might be better to raise
    a bug on the issue. Please post a link to the bug if you do.

    --
    Cheers Malcolm °¿° LFCS, SUSE Knowledge Partner (Linux Counter #276890)
    openSUSE 13.1 (Bottle) (x86_64) GNOME 3.10.1 Kernel 3.11.10-21-desktop
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!


  5. #5
    graham NNTP User

    Default Re: Pan- newsreader: Broken by recent update?

    Lothar M wrote:

    >
    > Hello all,
    >
    >
    > I'm a happy user of 13.1, but yesterday I noticed that the newsreader
    > "Pan" cannot be started anymore.
    > When I try from the terminal, I see the following error message:
    >
    > Code:
    > --------------------
    > GDBus.Errorrg.freedesktop.DBus.Error.ServiceUnknown: The name
    > news.pan.NZB was not provided by any .service files
    > **
    > ERRORan-tree.cc:80:GtkTreeIter PanTreeStore::get_iter(const
    > PanTreeStore::Row*): assertion failed: (row)
    > Aborted
    > --------------------
    >
    >
    > I think the last time I used it was last week.
    > I did not make any changed to my system besides letting all updates
    > install.
    >
    > Can I do anything to get it running again? Do I have to try to compile
    > it myself?
    >
    >
    > Greetings,
    > Lothar
    >
    >


    What recent update?
    On my system, I have

    Code:
    $:>rpm -qi pan
    Name        : pan
    Version     : 0.139
    Release     : 4.1.3
    Architecture: x86_64
    Install Date: Thu 21 Nov 2013 11:27:04 GMT
    .........
    I suggest you save your mail box then remove Pan and reinstall
    from the normal repository.

  6. #6

    Default Re: Pan- newsreader: Broken by recent update?

    Hello Graham,

    I rather suspected an update of one of the underlying libraries to be the problem, like described in the thread Malcolm mentioned.
    Does pan still start up on your system? Have you applied all system updates?
    I have tried un- and reinstalling, the problem remained.
    I will try to file a bug report...

    Greetings,
    Lothar


    Quote Originally Posted by graham View Post
    Lothar M wrote:

    >
    > Hello all,
    >
    >
    > I'm a happy user of 13.1, but yesterday I noticed that the newsreader
    > "Pan" cannot be started anymore.
    > When I try from the terminal, I see the following error message:
    >
    > Code:
    > --------------------
    > GDBus.Errorrg.freedesktop.DBus.Error.ServiceUnknown: The name
    > news.pan.NZB was not provided by any .service files
    > **
    > ERRORan-tree.cc:80:GtkTreeIter PanTreeStore::get_iter(const
    > PanTreeStore::Row*): assertion failed: (row)
    > Aborted
    > --------------------
    >
    >
    > I think the last time I used it was last week.
    > I did not make any changed to my system besides letting all updates
    > install.
    >
    > Can I do anything to get it running again? Do I have to try to compile
    > it myself?
    >
    >
    > Greetings,
    > Lothar
    >
    >


    What recent update?
    On my system, I have

    Code:
    $:>rpm -qi pan
    Name        : pan
    Version     : 0.139
    Release     : 4.1.3
    Architecture: x86_64
    Install Date: Thu 21 Nov 2013 11:27:04 GMT
    .........
    I suggest you save your mail box then remove Pan and reinstall
    from the normal repository.

  7. #7
    Join Date
    Jul 2008
    Location
    Seattle, WA
    Posts
    17,079

    Default Re: Pan- newsreader: Broken by recent update?

    On Wed, 22 Oct 2014 11:36:01 +0000, Lothar M wrote:

    > Can I do anything to get it running again? Do I have to try to compile
    > it myself?


    I have a somewhat recent build of it from the pan git repo in my home
    project - if you want, you can grab it from there. On 13.1 here it's
    working just fine.

    I've been meaning to check and see if there are any new git changes
    recently, it's been a few months since I looked.

    You can grab the packages at http://download.opensuse.org/repositories/
    home:/hendersj/openSUSE_13.1/

    Jim



    --
    Jim Henderson
    openSUSE Forums Administrator
    Forum Use Terms & Conditions at http://tinyurl.com/openSUSE-T-C

  8. #8
    graham NNTP User

    Default Re: Pan- newsreader: Broken by recent update?

    Lothar M wrote:

    >
    > Hello Graham,
    >
    > I rather suspected an update of one of the underlying libraries to be
    > the problem, like described in the thread Malcolm mentioned.
    > Does pan still start up on your system? Have you applied all system
    > updates?
    > I have tried un- and reinstalling, the problem remained.
    > I will try to file a bug report...
    >
    > Greetings,
    > Lothar
    >


    os 13.1, kde 4.11.5 my system updated daily.

    Yes, pan-0.139-4.1.3.x86_64 works and I never had any problems.


  9. #9

    Default Re: Pan- newsreader: Broken by recent update?

    Quote Originally Posted by hendersj View Post
    On Wed, 22 Oct 2014 11:36:01 +0000, Lothar M wrote:

    > Can I do anything to get it running again? Do I have to try to compile
    > it myself?


    I have a somewhat recent build of it from the pan git repo in my home
    project - if you want, you can grab it from there. On 13.1 here it's
    working just fine.

    I've been meaning to check and see if there are any new git changes
    recently, it's been a few months since I looked.

    You can grab the packages at http://download.opensuse.org/repositories/
    home:/hendersj/openSUSE_13.1/

    Jim



    --
    Jim Henderson
    openSUSE Forums Administrator
    Forum Use Terms & Conditions at http://tinyurl.com/openSUSE-T-C

    Jim,

    thank you, but even after updating pan with your package I still get exactly the same error message - strange! I have no idea what could have caused this.
    I will try to compile it myself sometime during the next days...

    Greetings,
    Lothar

  10. #10
    Join Date
    Jul 2008
    Location
    Seattle, WA
    Posts
    17,079

    Default Re: Pan- newsreader: Broken by recent update?

    On Sun, 26 Oct 2014 18:56:01 +0000, Lothar M wrote:

    > thank you, but even after updating pan with your package I still get
    > exactly the same error message - strange! I have no idea what could have
    > caused this.
    > I will try to compile it myself sometime during the next days...


    Very strange indeed.

    What output do you get from 'ldd `which pan`'?

    Jim



    --
    Jim Henderson
    openSUSE Forums Administrator
    Forum Use Terms & Conditions at http://tinyurl.com/openSUSE-T-C

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •